#==================================================================================================
# libavif: patch cmake file, to use external libargparse
#
# Author: Christopher Nielsen @ MacPorts
# Date:   2025-03-04
#==================================================================================================
--- CMakeLists.txt.orig	2025-03-04 15:06:06.000000000 -0500
+++ CMakeLists.txt	2025-03-04 15:07:40.000000000 -0500
@@ -30,7 +30,7 @@
 
 include(ExternalProject)
 include(FetchContent)
-include(FindPkgConfig)
+find_package(PkgConfig REQUIRED)
 include(AvifExternalProjectUtils)
 
 option(AVIF_ENABLE_NODISCARD "Add [[nodiscard]] to some functions. CMake must be at least 3.21 to force C23." OFF)
@@ -716,7 +716,7 @@
     endif()
     target_link_libraries(avifdec avif_apps avif avif_enable_warnings)
 
-    include(LocalLibargparse)
+    pkg_check_modules(LIBARGPARSE REQUIRED libargparse)
 
     set(AVIFGAINMAPUTIL_SRCS
         apps/avifgainmaputil/avifgainmaputil.cc
@@ -739,7 +739,8 @@
         endif()
     endif()
     set_target_properties(avifgainmaputil PROPERTIES LINKER_LANGUAGE "CXX")
-    target_link_libraries(avifgainmaputil libargparse avif_apps avif avif_enable_warnings)
+    target_include_directories(avifgainmaputil SYSTEM PRIVATE ${LIBARGPARSE_INCLUDE_DIRS})
+    target_link_libraries(avifgainmaputil ${LIBARGPARSE_LINK_LIBRARIES} avif_apps avif avif_enable_warnings)
 
     if(NOT SKIP_INSTALL_APPS AND NOT SKIP_INSTALL_ALL)
         install(
